Add the ability to :set -l{foo} in ghci, fix #1407.
ClosedPublic

Authored by archblob on Sep 3 2014, 3:27 PM.

Details

Summary

The dynamic linking code was already there but it was not called
on flag changes in ghci.

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Lint Skipped
Unit
Unit Tests Skipped
archblob updated this revision to Diff 492.Sep 3 2014, 3:27 PM
archblob retitled this revision from to Add the ability to :set -l{foo} in ghci, fix #1407..
archblob updated this object.
archblob edited the test plan for this revision. (Show Details)
archblob added reviewers: hvr, austin, simonmar.
archblob updated the Trac tickets for this revision.
archblob updated this revision to Diff 493.Sep 3 2014, 4:09 PM
archblob edited edge metadata.

Somehow a typo ended in the commit, should be fixed now.

ezyang added a comment.Sep 3 2014, 6:41 PM

You could check what our configure script requires, those can be considered guaranteed.

archblob updated this revision to Diff 500.Sep 5 2014, 8:16 AM

Add test case.

archblob edited the test plan for this revision. (Show Details)Sep 5 2014, 8:20 AM

Is the summary going to end up in the commit message ? if that's the case I will change it before a commit happens.

austin accepted this revision.Sep 8 2014, 7:31 AM
austin edited edge metadata.

LGTM. @archblob Yes, the summary will end up in the commit message, so please change it (as well as the test plan) to reflect the patches as they are now.

This revision is now accepted and ready to land.Sep 8 2014, 7:31 AM
archblob updated this revision to Diff 514.Sep 8 2014, 4:28 PM
archblob edited edge metadata.

Add suitable summary, test plan and also rebase on HEAD.

I've changed the summary and test plan in the commit message but the revision summary seems to have stayed the same. I hope this is only kept for 'history' purposes and it's not what gets committed.
If that's the case I'll also change the one on in the revision.

austin added a comment.Sep 8 2014, 6:02 PM

That's right, the commits will not show up individually. Instead this will be merged as one 'squashed' change.

archblob updated this object.Sep 9 2014, 3:20 PM
archblob edited the test plan for this revision. (Show Details)

Should I also add the latest patch to the related trac ticket ?

austin closed this revision.Sep 16 2014, 7:58 AM
austin updated this revision to Diff 551.

Closed by commit rGHC52eab67a99dd (authored by @archblob, committed by @austin).